package com.codvision.commoncore.exception;

import lombok.Getter;
import lombok.Setter;

/**
 * 权限异常
 *
 * @author hxl
 */
@Getter
@Setter
public class PermissionException extends RuntimeException {

    private Integer code;

    private String message;

    public PermissionException() {
        super();
    }

    public PermissionException(int code) {
        this.code = code;
    }

    public PermissionException(String message) {
        super(message);
        this.message = message;
    }

    public PermissionException(int code, String message) {
        super(message);
        this.code = code;
        this.message = message;
    }

}
